/////////////////////////////////////////////////
//
// MUSE Header for .WL6
// Created Tue Jul 14 15:04:53 1992
//
/////////////////////////////////////////////////

//
// Sound names & indexes
//
// WSJ: the first 30+ sounds are unusable because the music conflicts with them
//
// LinuxWolf: moved to editstate.wle

//
// Base offsets
//
#define STARTPCSOUNDS		0
#ifdef VIEASM
    #define STARTADLIBSOUNDS   0
    #define STARTDIGISOUNDS    0
    #define STARTMUSIC         0
#else
    #define STARTADLIBSOUNDS   LASTSOUND
    #define STARTDIGISOUNDS    (2*LASTSOUND)
    #define STARTMUSIC         (3*LASTSOUND)
#endif

//
// Music names & indexes
//
typedef enum {
	BLANK_MUS,
	TITLE_MUS,
	MAINMENU_MUS,
	READTHIS_MUS,
	ENDLEVEL_MUS,
	INTERM_MUS,
	VICTORY_MUS,
	TRACK07_MUS,
	TRACK08_MUS,
	TRACK09_MUS,
	TRACK10_MUS,
	TRACK11_MUS,
	TRACK12_MUS,
	TRACK13_MUS,
	TRACK14_MUS,
	TRACK15_MUS,
	TRACK16_MUS,
	TRACK17_MUS,
	TRACK18_MUS,
	TRACK19_MUS,
	TRACK20_MUS,
	TRACK21_MUS,
	TRACK22_MUS,
	TRACK23_MUS,
	TRACK24_MUS,
	TRACK25_MUS,
	TRACK26_MUS,
	TRACK27_MUS,
	TRACK28_MUS,
	TRACK29_MUS,
	TRACK30_MUS,
	TRACK31_MUS,
	TRACK32_MUS,
	TRACK33_MUS,
	TRACK34_MUS,
	TRACK35_MUS,
	TRACK36_MUS,
	TRACK37_MUS,
	TRACK38_MUS,
	TRACK39_MUS,
	TRACK40_MUS,
	LASTMUSIC
} musicnames;

#define NUMSOUNDS    ED_NumSounds(ed)
#define NUMSNDCHUNKS		(STARTMUSIC + LASTMUSIC)
#define NUMMUSICS LASTMUSIC

/////////////////////////////////////////////////
//
// Thanks for playing with MUSE!
//
/////////////////////////////////////////////////
