/*************************************************************************
** Wolf3D Legacy
** Copyright (C) 2012 by LinuxWolf - Team RayCAST
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**************************************************************************
** LinuxWolf Library for Wolf3D Legacy
*************************************************************************/

#include "lw.h"

int *lwlib_Color_MulTable;

void lwlib_Color_Init(void)
{
	int i;

	const int c = 256 * 256;
	lwlib_Color_MulTable = lwlib_CallocMany(int, c);
	for (i = 0; i < c; i++)
	{
		lwlib_Color_MulTable[i] = ((i / 256) * (i % 256)) / 255;
	}
}
